### Method

# GObject TypeModule set_name

#### Declaration

    void
    g_type_module_set_name (
      GTypeModule* module,
      const gchar* name
    )

#### Description

Sets the name for a `GTypeModule`.

#### Parameters

`name`

  Type: `const gchar*`

  A human-readable name to use in error messages.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.